Name:		perl-Digest-Perl-MD5
Version:	1.9
Release:    1%{?dist}
Summary:	Perl implementation of Ron Rivest's MD5 Algorithm
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Digest-Perl-MD5
Source0:	https://cpan.metacpan.org/modules/by-module/Digest/Digest-Perl-MD5-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(integer)
BuildRequires:	perl(strict)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(vars)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test)
Requires:	perl(Symbol)

%description
A pure-perl implementation of Ron Rivest's MD5 Algorithm.

%prep
%setup -q -n Digest-Perl-MD5-%{version}

chmod -c -x lib/Digest/Perl/MD5.pm

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc CHANGES
%{perl_vendorlib}/Digest/
%{_mandir}/man3/Digest::Perl::MD5.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9-1
- initial build
